Subject: bug#75004: 30.0.92; documentation unclear about D-Bus support

From: Michael Albinus <[email-masked]>
Date: Sun, 22 Dec 2024 09:42:23 +0100

Mike Kupfer <[email-masked]> writes:

Hi Mike,

>> Could you pls check, whether the appended patch (for dbus.texi and
>> tramp.texi) helps?
>
> It does.  Thanks for the fast turnaround.

Thanks for the feedback. Pushed to the emacs-30 branch.

> BTW, I was surprised that 'configure' did not error out when I supplied
> --with-dbus (or --with-dbus=yes) on the command line.  I expect
> 'configure' to disable a feature (and exit with status 0) if the feature
> can't be provided and wasn't explicitly requested, but I thought the
> inability to provide a specifically requested feature was considered an
> error.  Am I misunderstanding how 'configure' is supposed to work?

I'm not an expert in this department. Eli?

> mike

Best regards, Michael.